Subject: PDOException thrown if array contains NULL as value
Description

SQLSTATE[HY000]: General error: 1 table properties_data has no column named null
10 PDO::prepare("INSERT INTO &quot;properties_data&quot; (&quot;parent&quot;, &quot;name&quot;, &quot;index&quot;,
&quot;type&quot;, &quot;null&quot;) VALUES (?, ?, ?, ?, ?)")
9 F3\FLOW3\Persistence\Backend\GenericPdo\Backend::storePropertyData("bc924de7-72e7-420e-9019-96fda74d1c4a",
"contentObject", array)
8 F3\FLOW3\Persistence\Backend\GenericPdo\Backend::setProperties(array, 1)
7
F3\FLOW3\Persistence\Backend\GenericPdo\Backend::persistObject(F3\TYPO3CR\Domain\Model\Node_AOPProxy_Development)
6 F3\FLOW3\Persistence\Backend\AbstractBackend::persistObjects()

ment)
6 F3\FLOW3\Persistence\Backend\AbstractBackend::persistObjects()

This happens if you try to persist an array as follows:

   protected $myVar = array(0 => NULL);

Associated revisions
Revision db9e49c6 - 2010-09-16 14:18 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): Allow NULL values in arrays

NULL values inside an array caused an exception (unknown column null).

Change-Id: I7f0955373ec324990bea75f68afd09326a993401
Fixes: #9585

History
#1 - 2010-09-15 10:03 - Robert Lemke
- Status changed from Accepted to Under Review

#2 - 2010-09-16 17:15 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"db9e49c69be141153b19f47fd0cd499049b5484b".
